package Time::Gettimeofday;

use strict;
use vars qw($VERSION @ISA @EXPORT);

require Exporter;
require DynaLoader;

@ISA = qw(Exporter DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(
	     timeofday
);
$VERSION = '1.3';

bootstrap Time::Gettimeofday $VERSION;

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

Time::Gettimeofday - Perl extension for providing a precise time

=head1 SYNOPSIS

  use Time::Gettimeofday;
  my $preciseTime = timeofday ();

=head1 DESCRIPTION

Provides a precise time in seconds (real), using the libc gettimeofday function.
The exact precision depends on your system. Known to work nicely on linux and Windows NT and XP.

=head1 AUTHORS

Alexandre Bustico bustico@cena.fr
Christophe Mertz mertz@intuilab.com
expanded to work on Windows XP: Philippe Truillet truillet@irit.fr

=head1 SEE ALSO

perl(1).

=cut
